Name: minicom
Version: 2.00.0
Release: alt6

Summary: A text-menu-driven modem control and terminal emulation program
License: GPL
Group: Communications
Url: http://www.netsonic.fi/~walker/minicom.html/%name.html
Packager: Ivan Zakharyaschev <imz@altlinux.ru>

#Icon: %name.xpm

Summary(ru_RU.KOI8-R):        .
Summary(de): TTY-Modus-Kommunikationspaket (hnlich Telix)
Summary(fi_FI): Tietoliikenneohjelma, kuten Telix
Summary(fr): Package de communication en mode terminal  la Telix
Summary(pl): Program komunikacyjny (podobny do Telix-a)
Summary(tr): Telix benzeri, TTY kipi iletiim paketi

Source: ftp://ftp.ibiblio.org/Linux/apps/serialcomm/dialout/%name-%version.src.tar.bz2
Source1: %name.sh
Source2: %name.csh
Source3: %name.menu
Source4: %name.admin
Source5: %name.admin.ru
Source6: %name.xpm
Source7: %name-xstart.sh

Patch1: %name-2.00.0-alt-device-config.patch
# Russian Edition: Set dialing type to "pulse" in newly created dial-entries
# (handy for Russia), should be replaced by a more universal patch sometime:
Patch3: %name-1.83.1-alt-pulse-prefix.patch
# a security patch for the case minicom is suid root:
Patch4: %name-1.83.1-drop-privs.patch
Patch5: %name-1.83.1-wide-console.patch
Patch7: %name-1.83.1-fchmod-fix.patch

# Add more zmodem file transfer methods (may be more convenient in some
# situations).
Patch8: %name-2.00.0-alt-advanced_zmodem.patch

# Do not check for UUCPLOCK presence, just trust in given value.
Patch9: %name-2.00.0-alt-UUCPLOCK.patch

# Without this dependency it would be difficult to find the package with file-transfer tools
Requires: rzsz

%define my_lockdir /var/lock/serial

%if "%NoSpecialSerialPerms"!="1"
%define NoSpecialSerialPerms 0
# define NoSpecialSerialPerms 1
# , if you want to build minicom without
# using the special support for serial permissions
%endif

%if !%NoSpecialSerialPerms

%define my_group uucp

# The access to serial ports should be controlled through '%my_group'
# group. It is provided by the new setup pkg.
# We need it before this package (minicom) is installed in order
# to set right permissions on files.
# Also, we need the place to create lockfiles. It should be
# provided by te new FS pkg.
PreReq: %my_lockdir

%else

%define my_group uucp

%endif

# Automatically added by buildreq on Sat Jun 29 2002
# I add the specialization of the BuildRequires:
BuildRequires(build): bison libtinfo-devel

%description
Minicom is a simple modem control and terminal emulation program 
that resembles MS-DOS Telix somewhat.  It is driven by text-based menus,
has a dialing directory, full ANSI and VT100 emulation, an (external)
scripting language, and other features.

Minicom should be installed if you need a simple modem control program
or terminal emulator. It can be used for remote access (in a terminal)
and to test and configure your modem.

%description -l ru_RU.KOI8-R
Minicom --         ;
-   MS-DOS Telix.    . Minicom
    " " (dialing directory), 
  ANSI  VT100,    
-  .

 %name ,       
   .      
 ( )      .

%description -l de
Minicom ist ein Kommunikationsprogramm, das hnlichkeiten mit Telix
unter MSDOS aufweist. Es enthlt ein Whlverzeichnis, Farbe,
vollstndige ANSI- und VT100-Emulation, eine (externe) Scriptsprache usw.

%description -l fi_FI
Minicom on MSDOS-Telixi jossain mrin muistuttava
tietoliikenneohjelma.
Ohjelmassa on mm. puhelinluettelo, vrit, ANSI- ja VT100-emulaatiot
ja ulkoinen script-kieli.

%description -l fr
Minicom est un programme de communication ressemblant  Telix sous
MSDOS. Il possde un rpertoire de numrotation, un affichage en
couleurs,
des mulations ANSI et VT100, un langage de script externe...

%description -l pl
Minicom jest programem komunikacyjnym, przypominajcym DOSowy program
Telix. Posiada ksik telefoniczn, emulacj terminali ANSI i VT100,
zewntrzny jzyk skryptowy, obsug kolorw i wiele innych zalet.

%description -l tr
Minicom, MSDOS Telix programna benzeyen bir iletiim programdr.
Numara
evirme dizini, renk, tam ANSI uyumu ve VT100 yknm ile script gibi
zellikleri vardr.

%prep
%setup -q
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# We want to use as many our tools as possible
#%make maintainer-clean

%build
autoconf
%configure \
	--enable-lock-dir=%my_lockdir \
	--enable-dfl-port=/dev/modem \
	#
%make_build

%install
%makeinstall

dest=$RPM_BUILD_ROOT%_sysconfdir/profile.d
%__mkdir_p $dest
%__install -p %SOURCE1 $dest/%name.sh
%__install -p %SOURCE2 $dest/%name.csh
unset dest

for f in minirc.dfl %name.users; do
  %__mv {doc,$RPM_BUILD_ROOT%_sysconfdir}/$f
done
%__install -p -m644 %SOURCE4 %name.admin
%__install -p -m644 %SOURCE5 %name.admin.ru

%find_lang %name

# Preparing the docs:
find extras doc -name 'Makefile*' -print0 |
	xargs -r0 %__rm -f --

# The icon (from Caldera) & menu:
%__install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_menudir/%name
%__install -pD -m644 %SOURCE6 $RPM_BUILD_ROOT%_iconsdir/%name.xpm

# The script to start minicom in an X terminal
%__install -pD -m755 %SOURCE7 $RPM_BUILD_ROOT%_libdir/%name/xstart

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%attr(640,root,%my_group) %config(noreplace) %_sysconfdir/%name.users
%attr(640,root,%my_group) %config(noreplace) %_sysconfdir/minirc.dfl
%attr(755,root,root) %config %_sysconfdir/profile.d/%name.sh
%attr(755,root,root) %config %_sysconfdir/profile.d/%name.csh
%_bindir/*
%_mandir/man?/*

%_menudir/*
%_iconsdir/*

%dir %_libdir/%name
%attr(755,root,root) %_libdir/%name/xstart

%doc doc extras
%doc %name.admin
%lang(ru) %doc %name.admin.ru

%changelog
* Sat Oct 20 2002 Ivan Zakharyaschev <imz@altlinux.ru> 2.00.0-alt6
- Updated upstream URL and maintainer's email, summary & description.

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 2.00.0-alt5
- Linked with libtinfo.
- Fixed configure, to allow build with arbitrary lock directory.
- Updated buildrequires.

* Wed Nov 21 2001 Ivan Zakharyaschev <imz@altlinux.ru> 2.00.0-alt4
- added another pair of zmodem file transfer methods: they resume an
  interrupted transfer (suggested by goldhead@altlinux.ru).

* Tue Nov 20 2001 Ivan Zakharyaschev <imz@altlinux.ru> 2.00.0-alt3
- menu entry for configuration added -- in future it may evolve into
  a consolehelper-assisted utility;
- menu entry fixed: now it should work in all windowing environments
  (added a special script for starting minicom in X);
- small changes in the spec and docs since we are using
  %my_lockdir/ instead of /var/lock/, but not yet
  group serial instead of uucp (actually done in released alt2, ldv).

* Fri Oct  5 2001 Ivan Zakharyaschev <imz@altlinux.ru> 2.00.0-alt2
- menu entry changed a bit: to make the terminal not disappear
  immediately (TODO: special error handling and a menu entry for minicom
  configuration)

* Fri Oct  5 2001 Ivan Zakharyaschev <imz@altlinux.ru> 2.00.0-alt1
- new version
- try only /dev/modem if no other device specified
  (/dev/modem should be a symbolic link to a real device with modem)
- for packagers:
  + string vulnerability patch merged upstream
  + "config-2" patch repalced by "device-config"
  + "ko" messages thrown away upstream
  + using ./configure (so some patches and environment variables are
    not needed any more)
  + the default configuration files are now taken from the sources
- added translations of the package info (from the original spec)
- icon added (taken from Caldera)

* Thu Aug 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.83.1-ipl10mdk
- Fixed permissions on /etc/minicom* files

* Thu Jun 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.83.1-ipl9mdk
- Added format and permission fixes.

* Thu Mar 09 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.83.1-ipl8mdk
- fix SegFault on wide console (> 160)

* Thu Mar 08 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.83.1-ipl7mdk
- fix build on glibc 2.2.2
- coment out Russian summary & desrciption

* Thu Feb 01 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.83.1-ipl6mdk
- change default serial port setting once more: use /dev/ttyS0 if
  /dev/modem is unavailable

* Thu Feb 01 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.83.1-ipl5mdk
- find_lang
- Russian summary and description

* Wed Jan 31 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.83.1-ipl4mdk
- security patch from RH (Bill Nottingham <notting@redhat.com>), just in
  case someone will make minicom suid: drop privs on opening of capture file
- config patch changed: the default serial port is /dev/ttyS0
- a stupid doc-file added
- requires: rzsz (to send files)

* Tue Jan 30 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.83.1-ipl3mdk
- Url added
- %_sysconfdir/profile.d/minicom.{csh,sh} -- to enable 8-bit and colour
- empty %_sysconfdir/minirc.dfl
- patch3 to have the "pulse" dialing prefix in newly created
  dial-entries pre-set

* Mon Nov 20 2000 Dmitry V. Levin <ldv@fandra.org> 1.83.1-ipl2mdk
- FHSification.
- Removed suid & sgid bits from %_bindir/%name.

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 1.83.1-ipl1mdk
- RE adaptions.

* Wed Jun 28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.83.1-1mdk
- Updated patches(make patch only modify Makefile and install only install.sh)
- 1.83.1

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.82.1-2mdk
- fix group

* Fri Nov 12 1999 Camille Bgnis <camille@mandrakesoft.com>
- restore setgid uucp to permit minicom to lock in /var/lock
- add test for compilation on SMP architectures
- add patch to install.sh to allow installation by non-root users
- modif install section to allow installation by non-root users
- update to 1.82.1

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- fixed bug, changed groups.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.82 to include i18n fixes

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- security fixes (alan cox, but he forgot about the changelog)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- BuildRoot; updated .make patch to cope with the buildroot
- fixed the spec file

* Tue May 06 1998 Michael Maher <mike@redhat.com>
- update of package (1.81)

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
